# Uses of Interface
org.apache.sysds.runtime.instructions.ooc.OOCStream

Packages that use OOCStream
Package
Description
org.apache.sysds.runtime.compress.io
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.io
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.stream

## Uses of OOCStream in org.apache.sysds.runtime.compress.io

Methods in org.apache.sysds.runtime.compress.io with parameters of type OOCStream
Modifier and Type
Method
Description
`long`
WriterCompressed.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`

## Uses of OOCStream in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return OOCStream
Modifier and Type
Method
Description
`OOCStream<IndexedMatrixValue>`
CacheableData.`getStreamHandle()`

## Uses of OOCStream in org.apache.sysds.runtime.instructions.ooc

Classes in org.apache.sysds.runtime.instructions.ooc that implement OOCStream
Modifier and Type
Class
Description
`class`
`PlaybackStream`
`class`
`SubscribableTaskQueue<T>`
Methods in org.apache.sysds.runtime.instructions.ooc that return OOCStream
Modifier and Type
Method
Description
`OOCStream<IndexedMatrixValue>`
CachingStream.`getReadStream()`
`OOCStream<T>`
OOCStreamable.`getReadStream()`
`OOCStream<IndexedMatrixValue>`
PlaybackStream.`getReadStream()`
`OOCStream<T>`
SubscribableTaskQueue.`getReadStream()`
`OOCStream<IndexedMatrixValue>`
CachingStream.`getWriteStream()`
`OOCStream<T>`
OOCStreamable.`getWriteStream()`
`OOCStream<IndexedMatrixValue>`
PlaybackStream.`getWriteStream()`
`OOCStream<T>`
SubscribableTaskQueue.`getWriteStream()`
Constructors in org.apache.sysds.runtime.instructions.ooc with parameters of type OOCStream
Modifier
Constructor
Description
``
`CachingStream(OOCStream<IndexedMatrixValue> source)`
``
`CachingStream(OOCStream<IndexedMatrixValue> source, long streamId)`

## Uses of OOCStream in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type OOCStream
Modifier and Type
Method
Description
`MatrixBlock`
ReaderTextCSVParallel.`readMatrixAsStream(OOCStream<IndexedMatrixValue> outStream, String fname, long rlen, long clen, int blen, long estnnz)`
`abstract long`
MatrixWriter.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
Consumes an out-of-core stream of matrix blocks and writes them to the target output path.
`long`
WriterBinaryBlock.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterBinaryBlockParallel.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterDelta.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterHDF5.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterMatrixMarket.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterTextCell.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterTextCSV.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`
`long`
WriterTextLIBSVM.`writeMatrixFromStream(String fname, OOCStream<IndexedMatrixValue> stream, long rlen, long clen, int blen)`

## Uses of OOCStream in org.apache.sysds.runtime.ooc.cache.io

Fields in org.apache.sysds.runtime.ooc.cache.io declared as OOCStream
Modifier and Type
Field
Description
`final OOCStream<IndexedMatrixValue>`
OOCIOHandler.SourceReadRequest.`target`
Constructors in org.apache.sysds.runtime.ooc.cache.io with parameters of type OOCStream
Modifier
Constructor
Description
``
`SourceReadRequest(String path, Types.FileFormat format, long rows, long cols, int blen, long estNnz, long maxBytesInFlight, boolean keepOpenOnLimit, OOCStream<IndexedMatrixValue> target)`

## Uses of OOCStream in org.apache.sysds.runtime.ooc.stream

Classes in org.apache.sysds.runtime.ooc.stream that implement OOCStream
Modifier and Type
Class
Description
`class`
`FilteredOOCStream<T>`
`class`
`MergedOOCStream<T>`
`class`
`SourceOOCStream`
`class`
`SplittingOOCStream<T>`
`class`
`SubOOCStream<T>`
Methods in org.apache.sysds.runtime.ooc.stream that return OOCStream
Modifier and Type
Method
Description
`OOCStream<T>`
FilteredOOCStream.`getReadStream()`
`OOCStream<T>`
MergedOOCStream.`getReadStream()`
`OOCStream<IndexedMatrixValue>`
SourceOOCStreamable.`getReadStream()`
`OOCStream<T>`
SplittingOOCStream.`getReadStream()`
`OOCStream<T>`
SubOOCStream.`getReadStream()`
`OOCStream<T>`
SplittingOOCStream.`getSubStream(int idx)`
`OOCStream<T>`
FilteredOOCStream.`getWriteStream()`
`OOCStream<T>`
MergedOOCStream.`getWriteStream()`
`OOCStream<IndexedMatrixValue>`
SourceOOCStreamable.`getWriteStream()`
`OOCStream<T>`
SplittingOOCStream.`getWriteStream()`
`OOCStream<T>`
SubOOCStream.`getWriteStream()`
Methods in org.apache.sysds.runtime.ooc.stream that return types with arguments of type OOCStream
Modifier and Type
Method
Description
`Collection<OOCStream<?>>`
StreamContext.`inStreams()`
`Collection<OOCStream<?>>`
StreamContext.`outStreams()`
Methods in org.apache.sysds.runtime.ooc.stream with parameters of type OOCStream
Modifier and Type
Method
Description
`StreamContext`
StreamContext.`addInStream(OOCStream<?>... inStream)`
`StreamContext`
StreamContext.`addOutStream(OOCStream<?>... outStream)`
Constructors in org.apache.sysds.runtime.ooc.stream with parameters of type OOCStream
Modifier
Constructor
Description
``
`FilteredOOCStream(OOCStream<T> sourceStream, Function<T,Boolean> predicate)`
``
`MergedOOCStream(OOCStream<T>... sources)`
``
`SplittingOOCStream(OOCStream<T> sourceStream, Function<T,Integer> partitionFunc, int numPartitions)`
``
`SubOOCStream(OOCStream<T> sourceStream)`
Constructor parameters in org.apache.sysds.runtime.ooc.stream with type arguments of type OOCStream
Modifier
Constructor
Description
``
`MergedOOCStream(List<OOCStream<T>> sources)`